summaryrefslogtreecommitdiffstats
path: root/maven/make-tests-run.sh
diff options
context:
space:
mode:
authorMark Raynsford <[email protected]>2014-07-11 19:09:32 +0000
committerMark Raynsford <[email protected]>2014-07-11 19:09:32 +0000
commit6c2d8d425df5436663f85a5cf0a5396ae3de7d6f (patch)
treeb3fc7345e4494517327832306b8b4317a2050228 /maven/make-tests-run.sh
parentc386cf285bfaf797c6779189c09e42d68e43b102 (diff)
Add jogl-main, nativewindow-main, newt-main - frontends for the atomics
packages that allow for pulling in all platform natives easily. Add test suite. Bug: 1023
Diffstat (limited to 'maven/make-tests-run.sh')
-rwxr-xr-xmaven/make-tests-run.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/maven/make-tests-run.sh b/maven/make-tests-run.sh
new file mode 100755
index 0000000..84c0900
--- /dev/null
+++ b/maven/make-tests-run.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+CACHE_PATH=`realpath tests-cache` || exit 1
+
+cd tests || exit 1
+
+rm -f maven-settings.xml || exit 1
+
+cat > maven-settings.xml <<EOF
+<?xml version="1.0" encoding="UTF-8"?>
+<settings
+ xmlns="http://maven.apache.org/SETTINGS/1.0.0"
+ xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+ xsi:schemaLocation="http://maven.apache.org/SETTINGS/1.0.0 http://maven.apache.org/xsd/settings-1.0.0.xsd">
+ <localRepository>${CACHE_PATH}</localRepository>
+</settings>
+EOF
+
+exec mvn --settings maven-settings.xml -U -C clean test